For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all properties
        • GETGet a property by ID
        • GETGet all rentable items
        • GETGet rentable item by ID
        • PUTUpdate Property: Entrata - Not Supported
        • POSTCreate Property: Entrata - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataProperties

Get a property by ID

GET
/v1/properties/:id
GET
/v1/properties/:id
$curl https://api.propexo.com/v1/properties/id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "address_1": "123 Central Park West",
13 "address_2": null,
14 "associated_owner_ids": [
15 "string"
16 ],
17 "building_number": null,
18 "city": "New York",
19 "code": null,
20 "country": "USA",
21 "county": null,
22 "created_at": "2024-03-21T15:38:08.337Z",
23 "custom_data": {},
24 "id": "clwktsp9v000008l31iv218hn",
25 "integration_id": "clwh5u07w000508me66sfh3um",
26 "integration_vendor": "ENTRATA",
27 "is_active": true,
28 "last_seen": "2024-03-22T10:59:45.119Z",
29 "long_description": "A wonderful property with many amenities for our residents.",
30 "manager_email": "manager@example.com",
31 "manager_name": null,
32 "manager_phone_1": null,
33 "manager_phone_1_type": null,
34 "manager_phone_2": null,
35 "manager_phone_2_type": null,
36 "name": "Central Park Apartments",
37 "notes": null,
38 "number_of_units": null,
39 "office_hours": {
40 "0": {
41 "day_of_week": "MONDAY",
42 "open_time": "08:00",
43 "close_time": "15:00"
44 },
45 "close_time": "15:00",
46 "day_of_week": "MONDAY",
47 "open_time": "08:00"
48 },
49 "pet_types": [
50 {
51 "name": "Dog",
52 "is_allowed": null,
53 "description": null,
54 "notes": null,
55 "deposit_raw": null,
56 "deposit_in_cents": null,
57 "fee_raw": null,
58 "fee_in_cents": null,
59 "fee_min_raw": null,
60 "fee_min_in_cents": null,
61 "fee_max_raw": null,
62 "fee_max_in_cents": null,
63 "rent_amount_raw": null,
64 "rent_amount_in_cents": null
65 }
66 ],
67 "property_id": "clwi5xiix000008l6ctdgafyh",
68 "short_description": "A wonderful property.",
69 "square_feet": 1,
70 "state": "NY",
71 "type_normalized": null,
72 "type_raw": null,
73 "updated_at": "2024-03-22T10:59:45.119Z",
74 "website": "https://www.example.com",
75 "x_building_id": null,
76 "x_created_at": null,
77 "x_id": "property123",
78 "x_property_id": "property123",
79 "year_built": 1990,
80 "zip": "10023",
81 "square_footage": null,
82 "street_address_1": "string",
83 "street_address_2": null,
84 "type": "string"
85 }
86}
Get a property by ID
Was this page helpful?
Previous

Get all rentable items

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error